OpenVPN 2.4 проблемы после обновления

Запись создана июля 27, 2017

В обновленной версии OpenVPN 2.4 сделан ряд правок для усиления безопасности.

У меня возникло две проблемы, Первая:

VERIFY ERROR: depth=0, error=CRL signature failure

фикс:

echo -e "LegacySigningMDs md2 md5\nMinimumDHBits 512\n" >> /etc/pki/tls/legacy-settings
service openvpn restart

Вторая:

VERIFY ERROR: depth=0, error=CRL has expired
cd /etc/openvpn/easy-rsa<code>

в openssl.cnf правим параметры  к виду:
<code>default_days   = 3650         # how long to certify for
default_crl_days= 3650         # how long before next CRL

И делаем перегенерацию сертификата

. ./vars
openssl ca  -gencrl -keyfile keys/ca.key -cert keys/ca.crt  -out /etc/openvpn/keys/crl.pem  -config ./openssl.cnf

» Запись из раздела Несортированное | Комментировать

Комментарии





Ответить